Security updates vs libtool

Apple has released another update for Mac OS X Leopard yesterday. As usual it fixes a lot of security problems and bugs.

Unfortunately it also breaks the development environment, and not for the first time. The update included new shared libraries e.g. version 0.11.8 of pixman. The related libtool archives however were not updated. As a result linking with one of the affected libraries fails because libtool tries to use an old version which no longer exists. Even after installing the latest version of Xcode (3.1.1) the problem remains.

Apple really needs to come up with a way to keep the development environment in sync with security updates.